# frozen_string_literal: true

require 'confstruct'
require 'digest/sha2'
require 'fileutils'
require 'httpclient'
require 'json'
require 'logger'
require 'parallel'
require 'rubygems'
require 'rubygems/indexer'
require 'rubygems/user_interaction'
require 'slop'
require 'stringio'
require 'tempfile'
require 'zlib'

$LOAD_PATH.unshift(File.expand_path('../', __FILE__)) unless $LOAD_PATH.include?(File.expand_path('../', __FILE__))

require 'gemirro/version'
require 'gemirro/configuration'
require 'gemirro/cache'
require 'gemirro/utils'
require 'gemirro/gem'
require 'gemirro/gem_version'
require 'gemirro/gem_version_collection'
require 'gemirro/http'
require 'gemirro/indexer'
require 'gemirro/source'
require 'gemirro/mirror_directory'
require 'gemirro/mirror_file'
require 'gemirro/versions_file'
require 'gemirro/versions_fetcher'
require 'gemirro/gems_fetcher'

require 'gemirro/cli'
require 'gemirro/cli/index'
require 'gemirro/cli/init'
require 'gemirro/cli/list'
require 'gemirro/cli/server'
require 'gemirro/cli/update'
